package praktikum04;

public class BetterPhilosopher extends Philosopher{

    public BetterPhilosopher(int id, Fork left, Fork right) {
        super(id, left, right);
    }

    public void allocateForks() {
        Fork fork1 = left;
        Fork fork2 = right;

        if(left.getId() > right.getId()) {
            fork1 = right;
            fork2 = left;
        }

        System.out.println("Philosopher" + id + "is trying to get a fork" + fork1.getId());
        while(!fork1.take())
            Thread.yield();
        System.out.println("Philosopher" + id + "got a fork" + fork1.getId());

        System.out.println("Philosopher" + id + "is trying to get a fork" + fork2.getId());
        while(!fork2.take())
            Thread.yield();
        System.out.println("Philosopher" + id + "got a fork" + fork2.getId());

    }

}
