package praktikum05;

public class RumbleBot extends SnakeBot{
    private boolean hasFired = false;

    public RumbleBot(String[] args) {
        super(args);
    }
    @Override
    protected char nextMove(View view) throws Exception {
        char move = super.nextMove(view);

        if (!hasFired && canFire(view)) {
            hasFired = true;
            return 'f'; // fire
        }

        return move;
    }
    private boolean canFire(View view) {
        char[][] grid = parseView(view);

        int roverX = view.width / 2;
        int roverY = view.width / 2;

        return roverY > 0 && grid[roverY - 1][roverX] == '@';
    }

    public static void main(String[] args) {
        Bot bot = new RumbleBot(args);
        bot.run();
    }
}
