package praktikum05;

import java.util.Scanner;
public class ManualBot extends Bot{
    protected ManualBot(String[] args) {
        super(args);
    }

    @Override
    protected char nextMove(View view) throws Exception {
         boolean stop = false;
        while(!stop) {
            System.out.println("Enter a command: ");
            String input = scanner.nextLine();
            if (input != null) {
                switch (input) {
                    case "w":
                        return '^';
                    case "s":
                        return 'v';
                    case "a":
                        return '<';
                    case "d":
                        return '>';
                    case "q":
                        stop = true;
                        break;
                    default:
                        System.out.println("This doesn't work!");
                        break;

                }
            }
        }
        scanner.close();
        throw new Exception("Exit");
    }

    private Scanner scanner = new Scanner(System.in);

    public static void main(String [] args)
    {
        Bot bot = new ManualBot(args);
        bot.run();

    }


}

